@echo off
TITLE 小米手机（全系列已支持且解BL锁的手机）
color 3f
echo.
ECHO. =================================================
echo.
echo   你即将对小米手机重新上BL锁。
echo.
echo.   
echo.
echo     如果不想重新锁上BL锁请关闭此窗口！
echo.
echo     否则按任意键继续
echo.
ECHO. =================================================
pause >nul
CLS
ECHO. =================================================
echo.
echo   按下面所述步骤进入fastboot模式：
echo.
echo.    1.首先你需要安装官方的USB驱动，并关闭手机
echo.
echo.    2.同时按住音量下+开机键开机
echo       按住不放直到显示米兔画面后松手
echo.
echo     3.屏幕会始终停留在米兔LOGO界面
echo.
echo.    4.完成上述步骤，将手机连接到电脑,按任意键继续
echo.
echo     --如果不想重新锁上BL锁请关闭此窗口！
echo.
ECHO. =================================================
pause >nul
CLS
ECHO. =================================================
echo.
echo.
echo    是否看见如下提示：
echo.
echo.
echo         xxxxxx fastboot
echo.
echo.
echo    如果看到以上提示，证明手机与电脑连接正常，按任意键正式开始导入
echo.
echo    否则请关闭此窗口，并检查驱动是否正确安装，手机是否正确连接
echo.
echo    锁BL锁时，请一定保证手机和电脑的连接正常
echo.
ECHO. =================================================
echo.
echo.
fastboot.exe devices
pause >nul
CLS
ECHO. =================================================
echo.
echo.
echo    --------------警告--------------
echo.
echo.
echo    在写入BL锁前，请确认是否使用MIUI官方发布的系统，无修改MIUI Recvery。
echo.
echo    若使用非MIUI系统，刷入BL锁，会出现卡白MI死重启。
echo.
echo	若出现此情况长按音量下+电源键重启并进入fastboot模式重刷或重新解锁。
echo.
echo	按任意键开始写入BL锁...
echo.
ECHO. =================================================
echo.
echo.
pause >nul
CLS
ECHO. =================================================
echo.
echo.
echo    正在写入BL锁...
echo.
echo.	请稍后
echo.
echo.	...
echo.	OKAY [  0.002s]
echo.	finished. total time: 0.003s
echo.
echo.	看到以上信息表示已上锁完成，按任意键重启手机！	
echo.
ECHO. =================================================
echo.
echo.
fastboot.exe oem lock
pause >nul
CLS
ECHO. =================================================
echo.
echo.
echo.
echo    BL上锁完成，按任意键关闭本窗口！
echo.
echo.
echo.
ECHO. =================================================
echo.
echo.
fastboot.exe reboot
pause >nul
